### Method

# AppStream Pool get_components_by_id

#### Declaration [src]

    AsComponentBox*
    as_pool_get_components_by_id (
      AsPool* pool,
      const gchar* cid
    )

#### Description [src]

Get a specific component by its ID. This function may contain multiple results if we have data describing this component from multiple scopes/origin types.

#### Parameters

`cid`

  Type: `const gchar*`

  The AppStream-ID to look for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsComponentBox`

An `AsComponentBox`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.